package ch.metas.soa.prototyping.jboss.marshalling.models;

import java.io.Serializable;
import java.util.List;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.Id;
import javax.persistence.OneToMany;
import javax.persistence.Table;

@Entity
@Table(name = "BookShelf")
public class BookShelf implements Serializable {

	private int m_id;
	private String m_name;
	private List<Book> m_books;

	@Id
	@Column(name = "BookShelf_id")
	public int getId() {
		return m_id;
	}

	public void setId(int id) {
		m_id = id;
	}

	@Column(name = "name")
	public String getName() {
		return m_name;
	}

	public void setName(String name) {
		m_name = name;
	}

	@OneToMany(fetch = FetchType.LAZY, mappedBy = "bookShelf")
	public List<Book> getBooks() {
		return m_books;
	}

	public void setBooks(List<Book> books) {
		m_books = books;
	}
}
